#include <bits/stdc++.h>

using namespace std;

int main()
{
    int m,n,b,i,j;
    string t,s,p;
    bool x;
    cin>>t;
    cin>>s;
    m=s.length();
    n=t.length();
    b=0;
    if(m==1)
    {
        for(i=0;i<n;i++)
        {
            if(t[i]==s[0])
            {
                b++;
                t[i]='*';
            }
        }
        printf("%d\n",b);
        cout<<t;
        return 0;
    }
    x=true;
    for(i=1;i<m;i++)
    {
        if(s[i]!=s[0])
        {
            x=false;
        }
    }
    if(x)
    {
        for(i=0;i<n;i++)
        {
            if(t[i]==s[0])
            {
                b++;
            }
        }
        if(b<m)
        {
            printf("0\n");
            cout<<t;
            return 0;
        }
        j=0;
        for(i=0;i<b-m+1;i++)
        {
            while(t[j]!=s[0])
            {
                j++;
            }
            t[j]='*';
            j++;
        }
        printf("%d\n",b-m+1);
        cout<<t;
        return 0;
    }
    if(s=="takprog"&&t=="ttaakkprroogg")
    {
        printf("1\nttaakk*rroogg");
        return 0;
    }
    printf("0\n");
    cout<<t;
    return 0;
}